/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "@stencil/core/internal";
import { UTIL_BUTTON_VARIANT_LIST_TYPE, UTIL_SPACING_TYPE_LIST_TYPE } from "./utils/util-lists";
export namespace Components {
    interface MyComponent {
        /**
          * The first name
         */
        "first": string;
        /**
          * The last name
         */
        "last": string;
        /**
          * The middle name
         */
        "middle": string;
    }
    interface OmsButton {
        /**
          * The button href
         */
        "href": string;
        /**
          * The size of the button
         */
        "size": UTIL_SPACING_TYPE_LIST_TYPE;
        /**
          * Style variation of the button.
         */
        "variant": UTIL_BUTTON_VARIANT_LIST_TYPE;
    }
}
declare global {
    interface HTMLMyComponentElement extends Components.MyComponent, HTMLStencilElement {
    }
    var HTMLMyComponentElement: {
        prototype: HTMLMyComponentElement;
        new (): HTMLMyComponentElement;
    };
    interface HTMLOmsButtonElement extends Components.OmsButton, HTMLStencilElement {
    }
    var HTMLOmsButtonElement: {
        prototype: HTMLOmsButtonElement;
        new (): HTMLOmsButtonElement;
    };
    interface HTMLElementTagNameMap {
        "my-component": HTMLMyComponentElement;
        "oms-button": HTMLOmsButtonElement;
    }
}
declare namespace LocalJSX {
    interface MyComponent {
        /**
          * The first name
         */
        "first"?: string;
        /**
          * The last name
         */
        "last"?: string;
        /**
          * The middle name
         */
        "middle"?: string;
    }
    interface OmsButton {
        /**
          * The button href
         */
        "href"?: string;
        /**
          * The size of the button
         */
        "size"?: UTIL_SPACING_TYPE_LIST_TYPE;
        /**
          * Style variation of the button.
         */
        "variant"?: UTIL_BUTTON_VARIANT_LIST_TYPE;
    }
    interface IntrinsicElements {
        "my-component": MyComponent;
        "oms-button": OmsButton;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "my-component": LocalJSX.MyComponent & JSXBase.HTMLAttributes<HTMLMyComponentElement>;
            "oms-button": LocalJSX.OmsButton & JSXBase.HTMLAttributes<HTMLOmsButtonElement>;
        }
    }
}
